#include <stdio.h>
#include <stdlib.h>

void create_Screen(byte i);

G_LOCK_DEFINE(cleanquit);
byte ctrlspeed = 1;
byte savecode = 1;
byte iskeyb = 1;


#include <unistd.h>

void initstat(void)
{
	G_LOCK_EXTERN(running);
	extern struct hardware *hw;

	G_LOCK(running);
	Rezet(0);
	Z80_Reset();
	G_UNLOCK(running);
}


void revertstat(void)
{
	extern struct hardware *hw;

	Z80_Reset();
	Rezet(1);
}

void togglescr(void)
{
	extern GtkWidget *Screen;
	extern guint timerid;
	extern byte lcdshow; 

	iskeyb = 1 - iskeyb;

	gtk_timeout_remove(timerid);
	gtk_signal_disconnect_by_func(GTK_OBJECT(Screen), GTK_SIGNAL_FUNC(exit_emulator), NULL);
	gtk_widget_destroy(Screen);
	create_Screen(iskeyb);
	lcdshow = 1;
}

void invokeemu(void)
{
	extern short Z80_Trace;
	Z80_Trace = 1;
}

void toggle_speed(void)
{
	ctrlspeed = 1 - ctrlspeed;
}

void exit_nosave(void)
{
	savecode = 0;
	exit_emulator();
}

void exit_emulator(void)
{
	G_LOCK_EXTERN(running);
	extern guint timerid;
	extern byte running;

	gtk_timeout_remove(timerid);

	G_LOCK(running);
	running = 0;
	G_UNLOCK(running);

	G_LOCK(cleanquit);

	gtk_main_quit();
}
