/*  Tilem, TI-Linux Emulator
 *  Copyright (C) 2001 Solignac Julien <x1cygnus@xcalc.org>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define listlen 10

typedef void (*ptrfunc) (unsigned short, unsigned short);

struct chbxmem {
	GtkWidget *ent;
	unsigned short i;
	ptrfunc func;
};

struct debuginfo {
	Z80_Regs *RX;
	byte xselected;
	GtkWidget *dasm;
	GtkWidget *regl[12], *hexcode, *stkcode;
	unsigned short lstpc[listlen];
};


/***** Functions *****/
void inline create_loaddlg(void);

void exit_emulator(void);
void toggle_speed(void);
void exit_nosave(void);
void invokeemu(void);
void togglescr(void);
void revertstat(void);
void initstat(void);
