/*  TilEm, TI-Linux Emulator
 *  Copyright (C) 2001 Solignac Julien <x1cygnus@xcalc.org>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<stdlib.h>
#include<stdio.h>


#include "internal.c"

#include "init.c"
#include "lcd.c"

#include "memory.c"
#include "io.c"

#include "../inter.h"

struct hardware x3 = {'3', x3_initmem, x3_cleanmem, x3_Rezet, x3_Z80_In, x3_Z80_Out, x3_Z80_WRMEM, x3_Z80_RDMEM, x3_emkeyin, x3_emkeyup};
