void loadapp(char *file)
{
	char xline[76], tmpx[3] = {0x00, 0x00, 0x00};
	unsigned short i, k;
	byte j, rompage;
	FILE *app;

	if (!(app = fopen(file, "r"))) {
		fprintf(stderr, "** unable to open file **\n");
		return;
	}

	for (j = 0x0C, rompage = 0x00; j <= 0x15; j++) {
		if (*(mpages + 0x4000 * j) == 0xFF)
			rompage = j;
	}

	if (!rompage) {
		fprintf(stderr, "** not enough ROM **\n");
		return;
	}

	fread(xline, 1, 16, app);
	if (xline[15] == 0x0D) fgetc(app);
	if (xline[0] != ':') {
		fprintf(stderr, "** wrong app format **\n");
		return;
	}

	for (i = 0, k = 0; i < 0x200; i++) {
		fread(xline, 1, 76, app);
		if (xline[75] == 0x0D) fgetc(app);
		if (xline[0] != ':') printf("doh! %d\n", i);

		for (j = 0; j < 32; j++) {
			tmpx[0] = xline[2 * j + 9];
			tmpx[1]	= xline[2 * j + 9 + 1];
			*(mpages + 0x4000 * rompage + k) = (byte) strtol(tmpx, NULL, 16);
			k++;
		}
	}

	fclose(app);
}
